package it.dornauf.java.web2printer;

/**
$Id: $ 
Copyright [2001, 2013] [Oliver Dornauf, pda-systems.COM]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import java.io.PrintWriter;
import java.io.StringWriter;

import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletResponseWrapper;

/**
 * <p>
 * Wraps the servlet response for processing
 * </p>
 * 
 * @author <a href="mailto:info@pda-systems.com>Oliver Dornauf</a>
 */
public class Web2PrinterResponseWrapper extends HttpServletResponseWrapper 
{
    private StringWriter content;
    
    public Web2PrinterResponseWrapper(HttpServletResponse response) {
        super(response);
        content = new StringWriter();
    }
    
    public PrintWriter getWriter() {
        return new PrintWriter(content);
    }
    
    public StringBuffer getContent() {
        return content.getBuffer();
    }

}
